create table admin(
	empId int,
	empPwd varchar(20)
)

insert into admin(empId, empPwd) values(123456, 'Admin@321')
select * from admin
drop table admin;

create table customer(
	custId varchar(10),
	cPwd varchar(20),
	cSsnId varchar(9),
	firstName varchar(20),
	lastName varchar(20),
	email varchar(30),
	address varchar(100),
	contactNo varchar(10),
	aadharNo varchar(12),
	panNo varchar(9),
	acNo int primary key,
	initialAmt int,
	acStatus boolean
)

insert into customer(custId, cPwd, cSsnId, firstName, lastName, email, address, contactNo, aadharNo, panNo, acNo, initialAmt, acStatus)
values('CUST123', 'test@123', 'A23456789', 'Rohan', 'Kujur', 'tester1@gmail.com', 'B102, xyz colony, Mumbai', '9968745897', '123478943215','MJTNY123H',123456789, 5000, TRUE)
insert into customer(custId, cPwd, cSsnId, firstName, lastName, email, address, contactNo, aadharNo, panNo, acNo, initialAmt, acStatus)
values('CUST124', 'test@321', 'B23456789', 'Sarthak', 'XYZ', 'tester2@gmail.com', 'A101, abc colony, Mumbai', '9966324887', '123478943123','AJTNY123B',123456123, 10000, FALSE)

drop table customer;
delete from customer;
select * from customer;

create table transactions(
	trId INTEGER PRIMARY KEY GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1),
	totalAmt int,
	acNo int references customer(acNo),
	receiverAcNo int)
insert into transactions(totalAmt, acNo, receiverAcNo) values(5000, 123456789, 12323423),(20000, 123456123, 42542422);
select * from transactions;

drop table transactions;